# Cinder

# cinder::qtime::MovieLoader Class Reference

`#include <QuickTime.h>`

List of all members.

## Classes
struct | Obj
## Public Member Functions
| MovieLoader ()
| MovieLoader (const Url &url)
bool | checkLoaded () const
| Returns whether the movie is in a loaded state, implying its structures are ready for reading but it may not be ready for playback.
bool | checkPlayable () const
| Returns whether the movie is playable, implying the movie is fully formed and can be played but media data is still downloading.
bool | checkPlaythroughOk () const
| Returns whether the movie is ready for playthrough, implying media data is still downloading, but all data is expected to arrive before it is needed.
void | waitForLoaded () const
| Waits until the movie is in a loaded state, which implies its structures are ready for reading but it is not ready for playback.
void | waitForPlayable () const
| Waits until the movie is in a playable state, implying the movie is fully formed and can be played but media data is still downloading.
void | waitForPlaythroughOk () const
| Waits until the movie is ready for playthrough, implying media data is still downloading, but all data is expected to arrive before it is needed.
const Url & | getUrl () const
| Returns the original Url that the MovieLoader is loading.
::Movie | getMovieHandle () const
| Returns the native QuickTime Movie data structure but still maintains ownership of it.
::Movie | transferMovieHandle () const
| Returns the native QuickTime Movie and marks itself as no longer the owner. In general you should not call this.
## Protected Member Functions
void | updateLoadState () const
## Protected Attributes
shared_ptr< Obj > | mObj
typedef shared_ptr< Obj > MovieLoader::* | unspecified_bool_type
| Emulates shared_ptr-like behavior.
| MovieLoader (const MovieLoader &other)
| Emulates shared_ptr-like behavior.
MovieLoader & | operator= (const MovieLoader &other)
| Emulates shared_ptr-like behavior.
bool | operator== (const MovieLoader &other)
| Emulates shared_ptr-like behavior.
| operator unspecified_bool_type ()
| Emulates shared_ptr-like behavior.
void | reset ()
| Emulates shared_ptr-like behavior.

## Member Typedef Documentation

typedef shared_ptr<Obj> MovieLoader::* cinder::qtime::MovieLoader::unspecified_bool_type

Emulates shared_ptr-like behavior.

## Constructor & Destructor Documentation

cinder::qtime::MovieLoader::MovieLoader | ( |  | ) |

cinder::qtime::MovieLoader::MovieLoader | ( | const Url & | url | ) |

cinder::qtime::MovieLoader::MovieLoader | ( | const MovieLoader & | other | ) |

Emulates shared_ptr-like behavior.

## Member Function Documentation

bool cinder::qtime::MovieLoader::checkLoaded | ( |  | ) | const

Returns whether the movie is in a loaded state, implying its structures are ready for reading but it may not be ready for playback.

bool cinder::qtime::MovieLoader::checkPlayable | ( |  | ) | const

Returns whether the movie is playable, implying the movie is fully formed and can be played but media data is still downloading.

bool cinder::qtime::MovieLoader::checkPlaythroughOk | ( |  | ) | const

Returns whether the movie is ready for playthrough, implying media data is still downloading, but all data is expected to arrive before it is needed.

void cinder::qtime::MovieLoader::waitForLoaded | ( |  | ) | const

Waits until the movie is in a loaded state, which implies its structures are ready for reading but it is not ready for playback.

void cinder::qtime::MovieLoader::waitForPlayable | ( |  | ) | const

Waits until the movie is in a playable state, implying the movie is fully formed and can be played but media data is still downloading.

void cinder::qtime::MovieLoader::waitForPlaythroughOk | ( |  | ) | const

Waits until the movie is ready for playthrough, implying media data is still downloading, but all data is expected to arrive before it is needed.

const Url& cinder::qtime::MovieLoader::getUrl | ( |  | ) | const

Returns the original Url that the MovieLoader is loading.

::Movie cinder::qtime::MovieLoader::getMovieHandle | ( |  | ) | const

Returns the native QuickTime Movie data structure but still maintains ownership of it.

::Movie cinder::qtime::MovieLoader::transferMovieHandle | ( |  | ) | const

Returns the native QuickTime Movie and marks itself as no longer the owner. In general you should not call this.

void cinder::qtime::MovieLoader::updateLoadState | ( |  | ) | const`[protected]`

MovieLoader& cinder::qtime::MovieLoader::operator= | ( | const MovieLoader & | other | ) |

Emulates shared_ptr-like behavior.

bool cinder::qtime::MovieLoader::operator== | ( | const MovieLoader & | other | ) |

Emulates shared_ptr-like behavior.

cinder::qtime::MovieLoader::operator unspecified_bool_type | ( |  | ) |

Emulates shared_ptr-like behavior.

void cinder::qtime::MovieLoader::reset | ( |  | ) |

Emulates shared_ptr-like behavior.

## Member Data Documentation

shared_ptr<Obj> cinder::qtime::MovieLoader::mObj`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/qtime/QuickTime.h
- src/cinder/qtime/QuickTime.cpp